# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/hwmon/ti,amc6821.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: AMC6821 Intelligent Temperature Monitor and PWM Fan Controller

maintainers:
  - Farouk Bouabid <farouk.bouabid@cherry.de>
  - Quentin Schulz <quentin.schulz@cherry.de>

description:
  Intelligent temperature monitor and pulse-width modulation (PWM) fan
  controller.

properties:
  compatible:
    oneOf:
      - items:
          - const: tsd,mule
          - const: ti,amc6821
      - const: ti,amc6821

  reg:
    maxItems: 1

  i2c-mux:
    type: object

required:
  - compatible
  - reg

if:
  properties:
    compatible:
      contains:
        const: tsd,mule

then:
  required:
    - i2c-mux

additionalProperties: false

examples:
  - |
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        fan@18 {
            compatible = "ti,amc6821";
            reg = <0x18>;
        };
    };

  - |
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        fan@18 {
            compatible = "tsd,mule", "ti,amc6821";
            reg = <0x18>;

            i2c-mux {
                compatible = "tsd,mule-i2c-mux";
                #address-cells = <1>;
                #size-cells = <0>;

                i2c@0 {
                    reg = <0x0>;
                    #address-cells = <1>;
                    #size-cells = <0>;

                    rtc@6f {
                        compatible = "isil,isl1208";
                        reg = <0x6f>;
                    };
                };
            };
        };
    };
...
